# GoGoGo
GoGoGo creates a single, workflow-friendly Ruby file to quickly test your ideas.

### Great for
* Fast iterations at interviews
* Quickly testing gem ideas
* Starting a barebones project

### Features

* Write your library and test code on the same file.
* Super fast feedback loops by auto-running tests when you save your files.
* Comes with pry so that you can poke around your code when needed.

### Usage

Run the `gogogo` command and pass it the project name.

`$ gogogo my_project`

This will create the following file structure:

```
my_project/
├── .rspec
├── Gemfile
├── Guardfile
└── my_project.rb
```

Then run `bundle install` and `bundle exec guard` to auto-run tests on save.

```
$ bundle install
$ bundle exec guard
```

Then begin writing code with blazingly fast feedback loops, all in one file: `my_project.rb`.

#### Forked from [rubynew](https://github.com/napcs/rubynew)
